place_details (Google Maps Places)

Allows your to scrape the results from Google Maps Places via our ScrapeIN service.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint: The /google/places_details/ API endpoint allows you to GET the results of your Google Place query.
Authentication: API-KEY. Use your API-KEY for authentication.
Output format: json, csv

Results: Click "200" at the bottom of the page in the Responses block to see the JSON structure of a successful response. See more about the results here.

Support

If you have any questions about authentication or API usage, please contact our support team at [email protected].

Query Params
string
Defaults to 7415861409383649399

A standard Google Place identifier that can also be used to retrieve place details and is also returned in Places requests. For example: data_cid=7415861409383649399. To retrieve place details, you need to provide either a data_id or data_cid identifier.

string

A specific identifier for the Place, which is returned in Places requests. For example: data_id=0x80858088a8d29d65:0x66ea6ea931d71077. To retrieve place details, you need to provide either a data_id or data_cid identifier.

string
enum

The format of the returned results can be specified using the output parameter. By default, the results are returned in structured JSON format. You can also choose to receive the results in CSV format by setting it to csv.

Allowed:
string
enum

The hl parameter is responsible for determining the Google user interface language for the returned results. Check out the list of supported values for hl here. The default value for hl is set to en.

string

Allows you to specify the JSON field names you want to include in the response JSON object as a comma-separated list. You can use dot notation to specify the field names - for instance, setting include_fields=pagination will only include the pagination property in the JSON response. The include_fields parameter is useful when you only want certain fields to be included in the JSON response returned by the API.

string

Used to exclude certain fields from the JSON object returned by the API. You can specify the names of the fields to be excluded in dot notation as a comma-separated list. For example, exclude_fields=pagination would remove the pagination property from the response JSON. If there are particular fields you don't want to be included in the API's JSON response, use exclude_fields.

boolean

Specifies if the response should include raw HTML, which may increase its size. The option to include HTML can be true or false (the default), with the latter being the default.

string
enum

This parameter allows you to control the API's behavior when it encounters a parsing incident. You can choose to have the API skip serving the request entirely when a degraded or major parsing incident is detected (value: all), or only skip the request when a "major" parsing incident is detected (value: major_only). If your system is making unsupervised requests to the API, using skip_on_incident can be a useful way to handle incidents gracefully.

Allowed:
boolean

This parameter instructs the API to exclude Base64 images from the response. When SERP pages contain Base64-encoded images, including them in the response can significantly increase its size. Therefore, excluding these images can be beneficial in reducing the response size.

string
string

Sets a specific string to be added to the Google tbs parameter in the underlying query. Normally generated automatically by the API, but can be set explicitly as well.

Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json